浏览代码

rebroadcast

David 10 年之前
父节点
当前提交
03589a1014
共有 1 个文件被更改,包括 6 次插入1 次删除
  1. 6 1
      server/rebroadcast.sh

+ 6 - 1
server/rebroadcast.sh

@@ -1,3 +1,8 @@
 #!/bin/bash
-kill -10 $(ps aux | grep ffmpeg | grep especificosba.com.ar | awk '{print $2}')
+PID=$(ps aux | grep ffmpeg | grep especificosba.com.ar | awk '{print $2}')
+if [ "$PID" == "" ]; then
+	echo "Not broadcasting?"
+	exit 1
+fi
+kill -10 $PID
 #pkill broadcast